Bug 105629 - AutoFilter filters incorrectly with time values.
Summary: AutoFilter filters incorrectly with time values.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Kohei Yoshida
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.2.6 target:5.3.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2017-01-31 01:48 UTC by Kohei Yoshida
Modified: 2017-02-28 04:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test document. (10.23 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-01-31 01:49 UTC, Kohei Yoshida
Details
revised test document (11.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-01-31 02:44 UTC, Kohei Yoshida
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kohei Yoshida 2017-01-31 01:48:14 UTC
Description:
AutoFilter filters incorrectly with certain time values.

Steps to Reproduce:
1. Open the attached document.
2. Set the cell cursor to A1, and activate the auto filter.
3. Apply filter so that only rows with '1736:39:00' would be visible.
4. Click OK.




Actual Results:  
Both rows 2 and 3 get filtered out.

Expected Results:
Row 2 remains visible while row 3 will get filtered out.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 Kohei Yoshida 2017-01-31 01:49:11 UTC
Created attachment 130779 [details]
test document.
Comment 2 Kohei Yoshida 2017-01-31 01:50:19 UTC
Based on what I see in git log, the fix for Bug 43831 may have introduced this.
Comment 3 Kohei Yoshida 2017-01-31 02:44:36 UTC
Created attachment 130782 [details]
revised test document

It now contains test case for advanced filter usage inspired from the test document in Bug 43831.
Comment 4 Commit Notification 2017-02-02 05:02:33 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42e472b5870278058537d43d03d457dc80b16166

tdf#105629: Let's move the advanced-filter specific stuff ...

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-02-02 05:05:26 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73ac88748ff7077e8189603935bd48242cfe9776

tdf#105629: add test for the advanced filter usage.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-02-02 05:06:54 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9966697b89a68e05f2182dfef984d7b6e8e9ef94

tdf#105629: add test case for the auto filter usage with time values.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Kohei Yoshida 2017-02-02 22:40:18 UTC
Backporting on the way:

5.3: https://gerrit.libreoffice.org/#/c/33852/
5.2: https://gerrit.libreoffice.org/#/c/33853/
Comment 8 Kohei Yoshida 2017-02-02 22:41:06 UTC
I'll mark this fixed.
Comment 9 Commit Notification 2017-02-08 13:35:44 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b8101530deabf28e439b5892490e58fdf06cccb&h=libreoffice-5-2

tdf#105629: Let's move the advanced-filter specific stuff ...

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-02-08 13:35:50 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=059f6f1916c17ee3d78b2b815d01b59d7abf3924&h=libreoffice-5-3

tdf#105629: Let's move the advanced-filter specific stuff ...

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.